Bug 8691 - не работает autolearn
: не работает autolearn
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/spamassassin-spamd)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-12-21 11:26 by
Modified: 2007-11-16 13:09 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-12-21 11:26:20
/etc/sysconfig/spamd по умолчанию не содержит опцию -x. Из-за этого spamd
пытается делать setuid для каждого получателя, после чего системная база Bayes
ему недоступна на запись и для каждого письма мы имеем в maillog:

bayes: locker: safe_lock: cannot create tmp lockfile
/var/spool/spamassassin/bayes.lock.XXXXXXXXXXXXXXXXXXX for
/var/spool/spamassassin/bayes.lock: Permission denied

bayes_auto_learn по умолчанию включен в конфиге local.cf, принадлежащем пакету
perl-Mail-SpamAssassin. Добавление -x в /etc/sysconfig/spamd решает проблему.
------- Comment #1 From 2007-01-22 19:33:09 -------
Во всех проверенных мною дистрибутивах этот пакет также не содержит опцию "-x"
по умолчанию.

Тот, кто пытается использовать spamassassin именно в такой конфигурации, просто
добавит эту опцию в параметры. Не совсем понимаю, почему этот момент
рассматривается как bug?
------- Comment #2 From 2007-01-25 22:55:20 -------
Общесистемный autolearn и setuid() вместе не работают. То есть нужны либо _и_
bayes_auto_learn _и_ '-x', либо отсутствие обоих.
------- Comment #3 From 2007-11-16 13:09:35 -------
Ставлю WONTFIX из-за отсутствия резолюции NOTABUG :)